BSON_INIT_FROM_JSON(3)

NAME
bson_init_from_json - bson_init_from_json()

SYNOPSIS

bool
bson_init_from_json (bson_t *bson,
                     const char *data,
                     ssize_t len,
                     bson_error_t *error);

PARAMETERS

•   bson: Pointer to an uninitialized bson_t.

•   data: A UTF-8 encoded string containing valid JSON.

•   len: The length of data in bytes excluding a trailing \0 or -1 to determine the length with strlen().

•   error: An optional location for a bson_error_t.

DESCRIPTION

The bson_init_from_json() function will initialize a new bson_t by parsing the JSON found in data. Only a single JSON object may exist in data or an error will be set and false returned.

data should be in MongoDB Extended JSON format.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if valid JSON was parsed, otherwise false and error is set. On success, bson is initialized and must be freed with bson_destroy, otherwise bson is invalid.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc